Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#73521 - [python-pybluez] Does not work with python 3.10

Attached to Project: Community Packages
Opened by Moabit (Moabit) - Thursday, 27 January 2022, 01:27 GMT
Last edited by Antonio Rojas (arojas) - Thursday, 27 January 2022, 07:35 GMT
Task Type Bug Report
Category Packages
Status Assigned
Assigned To Levente Polyak (anthraxx)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 2
Private No

Details

Description: current version does not work with python 3.10. The [upstream report](https://github.com/pybluez/pybluez/issues/426) has more information, but essentially there was a commit that fixed this issue.

I tested the AUR's python-pybluez-git, which works well.

Additional info:
* package version(s): python-pybluez 0.23-4
* link to upstream bug report, if any: https://github.com/pybluez/pybluez/issues/426

Steps to reproduce:
1. Install python 3.10
2. Attempt to use python-pybluez
This task depends upon

Comment by Vadim Yanitskiy (fixeria) - Sunday, 13 February 2022, 15:23 GMT
Is there any way I could help with getting this bug resolved?

AFAICS, the latest release was tagged almost 2 years ago.

Unfortunately, applying the fix:

https://github.com/pybluez/pybluez/commit/cf6217c3e406be9271241d0f51867b7d19e9daf9.patch

to the latest tag results in merge conflicts.

I asked to tag a patch release:

https://github.com/pybluez/pybluez/issues/426#issuecomment-1038187808

Loading...